Bug 401961 - No direct rendering on ATI Radeon X800 with kernel 2.6.24-0.45.rc3.git1.fc9
No direct rendering on ATI Radeon X800 with kernel 2.6.24-0.45.rc3.git1.fc9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 18:12 EST by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 01:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for ATI Radeon X800 and kernel 2.6.24-0.43.rc3.git1.fc9 (43.99 KB, text/plain)
2007-11-27 18:12 EST, Joachim Frieben
no flags Details
Output of dmesg for kernel 2.6.24-0.45.rc3.git1.fc9 (101.19 KB, text/plain)
2007-11-28 07:56 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-11-27 18:12:12 EST
Description of problem:
After upgrading to kernel 2.6.24-0.45.rc3.git1.fc9, direct rendering
stops working.

Version-Release number of selected component (if applicable):
2.6.24-0.45.rc3.git1.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Boot kernel 2.6.24-0.45.rc3.git1.fc9
2. Check Xorg.0.log
  
Actual results:
Xorg.0.log reports '(WW) RADEON(0): Direct rendering disabled'

Expected results:
Direct rendering is up and running.

Additional info:
- Booting the previous kernel 2.6.24-0.43.rc3.git1.fc9 allows to
    recover direct rendering.
- There is an apparently related entry in the changelog:
    * Tue Nov 27 2007 Kyle McMartin <kmcmartin@redhat.com>
    - Slurp up drm-mm/agp-mm from git.
Comment 1 Joachim Frieben 2007-11-27 18:12:12 EST
Created attachment 270571 [details]
Xorg.0.log for ATI Radeon X800 and kernel 2.6.24-0.43.rc3.git1.fc9
Comment 2 Dave Airlie 2007-11-27 18:46:14 EST
can you attach a dmesg?
Comment 3 Joachim Frieben 2007-11-28 07:56:41 EST
Created attachment 271231 [details]
Output of dmesg for kernel 2.6.24-0.45.rc3.git1.fc9
Comment 4 Dave Airlie 2007-11-28 19:19:12 EST
this should be fixed in the latest kernel build whenever it appears it'll be
called 2.6.24-0.55.rc3.git3.fc9

so anything newer than that should work.. .please close bug if it does.
Comment 5 Joachim Frieben 2007-11-29 01:13:41 EST
Fixed in 2.6.24-0.55.rc3.git3.fc9. Thanks!

Note You need to log in before you can comment on or make changes to this bug.